Project

General

Profile

Actions

Bug #16674

closed

Build issue of FreeBSD 12

Added by hsbt (Hiroshi SHIBATA) over 1 year ago. Updated about 2 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:97370]

Description

The current master branch and 2.7, 2.6 and 2.5 couldn't build with FreeBSD 12

see https://github.com/rbenv/ruby-build/issues/1272#issuecomment-455836665

We can build with --disable-dtrace flag on FreeBSD 12.


Related issues

Related to Ruby master - Bug #17212: FreeBSDで3.0.0-preview1のビルドが失敗するClosedActions
Actions #2

Updated by hsbt (Hiroshi SHIBATA) 10 months ago

  • Related to Bug #17212: FreeBSDで3.0.0-preview1のビルドが失敗する added

Updated by ngoto (Naohisa Goto) 10 months ago

This could be fixed by using LLVM's LLD after rG88498f44dfe7d9b886f2622335cdeae4dbf2b02a

Reference:
[ELF] -r: allow SHT_X86_64_UNWIND to be merged into SHT_PROGBITS
https://reviews.llvm.org/D85785

Updated by jeremyevans0 (Jeremy Evans) about 2 months ago

  • Backport changed from 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: UNKNOWN to 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: REQUIRED, 3.0: DONE
  • Status changed from Assigned to Closed

78677f105df79e45dec451b56947509fc71c6f57 fixed this issue for the master branch. It was backported to 3.0 in 95aff214687a5e12c3eb57d056665741e734c188. Ruby 2.7 still fails due to this, so 78677f105df79e45dec451b56947509fc71c6f57 may need to be backported to Ruby 2.7. Ruby 2.5 is no longer supported, and 2.6 is in security maintenance mode. It appears Ruby CI for 2.6 fails on FreeBSD 12.2 due to a bison issue, before it would fail due to the DTrace issue.

I'm going to close this to trigger the backport to 2.7. I'm not sure if the lack of DTrace support on FreeBSD is considered a bug or not. Since it is optional, I assume not. However, if it is considered a bug, it should probably be submitted as a separate bug report, as this bug report is only regarding the build issue (which is fixed), not DTrace support itself.

Actions

Also available in: Atom PDF